Loading...
Searching...
No Matches
juce::AudioProcessorParameterWithIDAttributes Class Reference

## Detailed Description

An instance of this class may be passed to the constructor of an AudioProcessorParameterWithID to set optional characteristics of that parameter.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/juce_AudioProcessorParameterWithID.h

## Public Types

using | Category = AudioProcessorParameter::Category

## Public Member Functions

auto | withLabel (String x) const
| An optional label for the parameter's value.
auto | withCategory (Category x) const
| The semantics of this parameter.
auto | withMeta (bool x) const
auto | withAutomatable (bool x) const
auto | withInverted (bool x) const
auto | getLabel () const
| An optional label for the parameter's value.
auto | getCategory () const
| The semantics of this parameter.
auto | getMeta () const
auto | getAutomatable () const
auto | getInverted () const

## Member Typedef Documentation

## Category

using juce::AudioProcessorParameterWithIDAttributes::Category = AudioProcessorParameter::Category

## Member Functions

## withLabel()

auto juce::AudioProcessorParameterWithIDAttributes::withLabel | ( | String | x | ) | const

inline nodiscard

An optional label for the parameter's value.

References juce::withMember(), and x.

## withCategory()

auto juce::AudioProcessorParameterWithIDAttributes::withCategory | ( | Category | x | ) | const

inline nodiscard

The semantics of this parameter.

References juce::withMember(), and x.

## withMeta()

auto juce::AudioProcessorParameterWithIDAttributes::withMeta | ( | bool | x | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isMetaParameter()

References juce::withMember(), and x.

## withAutomatable()

auto juce::AudioProcessorParameterWithIDAttributes::withAutomatable | ( | bool | x | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isAutomatable()

References juce::withMember(), and x.

## withInverted()

auto juce::AudioProcessorParameterWithIDAttributes::withInverted | ( | bool | x | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isOrientationInverted()

References juce::withMember(), and x.

## getLabel()

auto juce::AudioProcessorParameterWithIDAttributes::getLabel | ( |  | ) | const

inline nodiscard

An optional label for the parameter's value.

## getCategory()

auto juce::AudioProcessorParameterWithIDAttributes::getCategory | ( |  | ) | const

inline nodiscard

The semantics of this parameter.

## getMeta()

auto juce::AudioProcessorParameterWithIDAttributes::getMeta | ( |  | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isMetaParameter()

## getAutomatable()

auto juce::AudioProcessorParameterWithIDAttributes::getAutomatable | ( |  | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isAutomatable()

## getInverted()

auto juce::AudioProcessorParameterWithIDAttributes::getInverted | ( |  | ) | const

inline nodiscard

See also
  AudioProcessorParameter::isOrientationInverted()

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited